This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 969535 - Failure applying alert template to newly imported resource
Failure applying alert template to newly imported resource
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
4.7
All All
urgent Severity urgent (vote)
: ---
: RHQ 4.8
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 14:04 EDT by Jay Shaughnessy
Modified: 2013-09-11 05:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-11 05:53:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2013-05-31 14:04:47 EDT
This is hard to reproduce but I was able to reproduce consistently in a dev installation.  When applying the alert template to the newly imported resource we generated:

  org.hibernate.HibernateException:illegally attempted to associate a proxy with two open Sessions

Which is an issue that can happen when passing an attached Hibernate proxy into a new Tx context.
Comment 1 Jay Shaughnessy 2013-05-31 14:08:05 EDT
master commit 160a6fabeea18fd7410560a8f00206736997adb9
    Fix an issue with alert template application to discovered resources. The
    root cause has to do with sending attached entities across Tx boundaries:
Comment 2 Heiko W. Rupp 2013-09-11 05:53:18 EDT
Bulk closing of old issues now that HRQ 4.9 is in front of the door.

If you think the issue has not been solved, then please open a new bug and mention this one in the description.

Note You need to log in before you can comment on or make changes to this bug.